#!/usr/bin/env perl
use strict;
use warnings;
use 5.014;
use WebService::ForecastIo;
use JSON;
use Data::Printer;

my $key=$ARGV[0];

my $fio = WebService::ForecastIo->new({
    api_key => $key,
});

my $json = $fio->request({
    latitude => 51.54,
    longitude => -0.37,
    exclude => ['flags','sources'],
    raw => 1,
});

say $json;
